Package Details: python2-efl-git 1.14.99a936.g37930f3-1

Git Clone URL: https://aur.archlinux.org/python2-efl-git.git (read-only)
Package Base: python2-efl-git
Description: Python2 bindings for the Enlightenment Foundation Libraries - Development Version
Upstream URL: http://www.enlightenment.org
Licenses: GPL3, LGPL3
Conflicts: python2-efl
Provides: python2-efl=1.14.99a936.g37930f3
Submitter: Scimmia
Maintainer: None
Last Packager: Scimmia
Votes: 15
Popularity: 0.000000
First Submitted: 2013-03-23 00:49
Last Updated: 2016-11-05 16:09

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

abarbarian commented on 2011-05-02 19:03

Many thanks it now installs.

bartbes commented on 2011-04-24 09:33

Same as python-elementary-svn, thanks for reporting.

bartbes commented on 2011-04-24 09:32

My old patch was no longer needed, removing it made it build again, thanks for reporting.

abarbarian commented on 2011-04-16 18:17

I can not install as I keep getting errors. Unable to fix it but this information may be of use to someone who can.

python-elementary 0.7.3.58639
------------------------------------------------------------------------

Configuration Options Summary:

Python...............: python2.7 (2.7)
Cython...............: 0.14.1 (CYTHONFLAGS=)

Compilation............: make (or gmake)
CPPFLAGS.............:
CFLAGS...............: -march=x86-64 -mtune=generic -O2 -pipe
LDFLAGS..............: -Wl,--hash-style=gnu -Wl,--as-needed
PYTHONPATH...........: /usr/lib/python2.7/site-packages/

Installation...........: make install (as root if needed, with 'su' or 'sudo')
prefix...............: /usr


GEN elementary/elementary.c_elementary.c

Error compiling Cython file:
------------------------------------------------------------
...
An item for the list widget
"""
cdef Elm_List_Item *item
cdef object cbt

def __new__(self):
^
------------------------------------------------------------

/tmp/yaourt-tmp-user/aur-python-elementary-svn/src/python-elementary-build/elementary/elementary.c_elementary_list.pxi:52:4: __new__ method of extension type will change semantics in a future version of Pyrex and Cython. Use __cinit__ instead.

Error compiling Cython file:
------------------------------------------------------------
...
cdef readonly object _label_get_func
cdef readonly object _icon_get_func
cdef readonly object _state_get_func
cdef readonly object _del_func

def __new__(self, *a, **ka):
^
------------------------------------------------------------

/tmp/yaourt-tmp-user/aur-python-elementary-svn/src/python-elementary-build/elementary/elementary.c_elementary_genlist.pxi:129:4: __new__ method of extension type will change semantics in a future version of Pyrex and Cython. Use __cinit__ instead.

Error compiling Cython file:
------------------------------------------------------------
...
cdef readonly object _label_get_func
cdef readonly object _icon_get_func
cdef readonly object _state_get_func
cdef readonly object _del_func

def __new__(self, *a, **ka):
^
------------------------------------------------------------

/tmp/yaourt-tmp-user/aur-python-elementary-svn/src/python-elementary-build/elementary/elementary.c_elementary_gengrid.pxi:129:4: __new__ method of extension type will change semantics in a future version of Pyrex and Cython. Use __cinit__ instead.
make: *** [elementary/elementary.c_elementary.c] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build python-elementary-svn.

abarbarian commented on 2011-04-10 11:45

Tried to install with yaourt and I keep getting this,

Error compiling Cython file:
------------------------------------------------------------
...
>>> def msg_dbg(obj, msg):
... print "%s: %s" % (obj, msg)
...
>>> my_edje.message_handler_set(msg_dbg)
"""
def __new__(self, *a, **ka):
^
------------------------------------------------------------

/tmp/yaourt-tmp-bloodaxe/aur-python-edje-svn/src/python-edje-build/edje/edje.c_edje_object.pxi:142:4: __new__ method of extension type will change semantics in a future version of Pyrex and Cython. Use __cinit__ instead.
make: *** [edje/edje.c_edje.c] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build python-edje-svn.
==> Restart building python-edje-svn ? [y/N]

Have no idea how to fix this but I thought someone might be able to.

Changaco commented on 2011-01-07 18:03

You're right, renaming to python2-* would be more work, it should only be done once a python3 version is available.

bartbes commented on 2011-01-07 17:39

Because python-evas (yes, that is the name of the lib) doesn't do python3 it should be renamed to python2-evas? That doesn't sound right to me..

Changaco commented on 2011-01-07 17:32

That's precisely why the name should start by "python2-".

bartbes commented on 2011-01-07 16:43

I would agree were it not that it doesn't work with python 3.

Changaco commented on 2011-01-07 15:59

It would be better to create python2-* packages.